/**
 * This file was generated by the Telegram Bot API generator.
 * Do not modify this file manually.
 * Use methods of 'client.core.ts' to setup client.
 **/
import * as types from './types';
/**
 * Use this method to receive incoming updates using long polling (wiki). Returns an Array of Update objects.
 */
export declare const getUpdates: (args: types.GetUpdatesData) => Promise<types.GetUpdatesResponse>;
/**
 * Use this method to specify a URL and receive incoming updates via an outgoing webhook. Whenever there is an update for the bot, we will send an HTTPS POST request to the specified URL, containing a JSON-serialized Update. In case of an unsuccessful request (a request with response HTTP status code different from 2XY), we will repeat the request and give up after a reasonable amount of attempts. Returns True on success.
If you'd like to make sure that the webhook was set by you, you can specify secret data in the parameter secret_token. If specified, the request will contain a header “X-Telegram-Bot-Api-Secret-Token” with the secret token as content.
 */
export declare const setWebhook: (args: types.SetWebhookData) => Promise<types.SetWebhookResponse>;
/**
 * Use this method to remove webhook integration if you decide to switch back to getUpdates. Returns True on success.
 */
export declare const deleteWebhook: (args: types.DeleteWebhookData) => Promise<types.DeleteWebhookResponse>;
/**
 * Use this method to get current webhook status. Requires no parameters. On success, returns a WebhookInfo object. If the bot is using getUpdates, will return an object with the url field empty.
 */
export declare const getWebhookInfo: (args: types.GetWebhookInfoData) => Promise<types.GetWebhookInfoResponse>;
/**
 * A simple method for testing your bot's authentication token. Requires no parameters. Returns basic information about the bot in form of a User object.
 */
export declare const getMe: (args: types.GetMeData) => Promise<types.GetMeResponse>;
/**
 * Use this method to log out from the cloud Bot API server before launching the bot locally. You must log out the bot before running it locally, otherwise there is no guarantee that the bot will receive updates. After a successful call, you can immediately log in on a local server, but will not be able to log in back to the cloud Bot API server for 10 minutes. Returns True on success. Requires no parameters.
 */
export declare const logOut: (args: types.LogOutData) => Promise<types.LogOutResponse>;
/**
 * Use this method to close the bot instance before moving it from one local server to another. You need to delete the webhook before calling this method to ensure that the bot isn't launched again after server restart. The method will return error 429 in the first 10 minutes after the bot is launched. Returns True on success. Requires no parameters.
 */
export declare const close: (args: types.CloseData) => Promise<types.CloseResponse>;
/**
 * Use this method to send text messages. On success, the sent Message is returned.
 */
export declare const sendMessage: (args: types.SendMessageData) => Promise<types.SendMessageResponse>;
/**
 * Use this method to forward messages of any kind. Service messages and messages with protected content can't be forwarded. On success, the sent Message is returned.
 */
export declare const forwardMessage: (args: types.ForwardMessageData) => Promise<types.ForwardMessageResponse>;
/**
 * Use this method to forward multiple messages of any kind. If some of the specified messages can't be found or forwarded, they are skipped. Service messages and messages with protected content can't be forwarded. Album grouping is kept for forwarded messages. On success, an array of MessageId of the sent messages is returned.
 */
export declare const forwardMessages: (args: types.ForwardMessagesData) => Promise<types.ForwardMessagesResponse>;
/**
 * Use this method to copy messages of any kind. Service messages, paid media messages, giveaway messages, giveaway winners messages, and invoice messages can't be copied. A quiz poll can be copied only if the value of the field correct_option_id is known to the bot. The method is analogous to the method forwardMessage, but the copied message doesn't have a link to the original message. Returns the MessageId of the sent message on success.
 */
export declare const copyMessage: (args: types.CopyMessageData) => Promise<types.CopyMessageResponse>;
/**
 * Use this method to copy messages of any kind. If some of the specified messages can't be found or copied, they are skipped. Service messages, paid media messages, giveaway messages, giveaway winners messages, and invoice messages can't be copied. A quiz poll can be copied only if the value of the field correct_option_id is known to the bot. The method is analogous to the method forwardMessages, but the copied messages don't have a link to the original message. Album grouping is kept for copied messages. On success, an array of MessageId of the sent messages is returned.
 */
export declare const copyMessages: (args: types.CopyMessagesData) => Promise<types.CopyMessagesResponse>;
/**
 * Use this method to send photos. On success, the sent Message is returned.
 */
export declare const sendPhoto: (args: types.SendPhotoData) => Promise<types.SendPhotoResponse>;
/**
 * Use this method to send audio files, if you want Telegram clients to display them in the music player. Your audio must be in the .MP3 or .M4A format. On success, the sent Message is returned. Bots can currently send audio files of up to 50 MB in size, this limit may be changed in the future.
For sending voice messages, use the sendVoice method instead.
 */
export declare const sendAudio: (args: types.SendAudioData) => Promise<types.SendAudioResponse>;
/**
 * Use this method to send general files. On success, the sent Message is returned. Bots can currently send files of any type of up to 50 MB in size, this limit may be changed in the future.
 */
export declare const sendDocument: (args: types.SendDocumentData) => Promise<types.SendDocumentResponse>;
/**
 * Use this method to send video files, Telegram clients support MPEG4 videos (other formats may be sent as Document). On success, the sent Message is returned. Bots can currently send video files of up to 50 MB in size, this limit may be changed in the future.
 */
export declare const sendVideo: (args: types.SendVideoData) => Promise<types.SendVideoResponse>;
/**
 * Use this method to send animation files (GIF or H.264/MPEG-4 AVC video without sound). On success, the sent Message is returned. Bots can currently send animation files of up to 50 MB in size, this limit may be changed in the future.
 */
export declare const sendAnimation: (args: types.SendAnimationData) => Promise<types.SendAnimationResponse>;
/**
 * Use this method to send audio files, if you want Telegram clients to display the file as a playable voice message. For this to work, your audio must be in an .OGG file encoded with OPUS, or in .MP3 format, or in .M4A format (other formats may be sent as Audio or Document). On success, the sent Message is returned. Bots can currently send voice messages of up to 50 MB in size, this limit may be changed in the future.
 */
export declare const sendVoice: (args: types.SendVoiceData) => Promise<types.SendVoiceResponse>;
/**
 * As of v.4.0, Telegram clients support rounded square MPEG4 videos of up to 1 minute long. Use this method to send video messages. On success, the sent Message is returned.
 */
export declare const sendVideoNote: (args: types.SendVideoNoteData) => Promise<types.SendVideoNoteResponse>;
/**
 * Use this method to send paid media. On success, the sent Message is returned.
 */
export declare const sendPaidMedia: (args: types.SendPaidMediaData) => Promise<types.SendPaidMediaResponse>;
/**
 * Use this method to send a group of photos, videos, documents or audios as an album. Documents and audio files can be only grouped in an album with messages of the same type. On success, an array of Messages that were sent is returned.
 */
export declare const sendMediaGroup: (args: types.SendMediaGroupData) => Promise<types.SendMediaGroupResponse>;
/**
 * Use this method to send point on the map. On success, the sent Message is returned.
 */
export declare const sendLocation: (args: types.SendLocationData) => Promise<types.SendLocationResponse>;
/**
 * Use this method to send information about a venue. On success, the sent Message is returned.
 */
export declare const sendVenue: (args: types.SendVenueData) => Promise<types.SendVenueResponse>;
/**
 * Use this method to send phone contacts. On success, the sent Message is returned.
 */
export declare const sendContact: (args: types.SendContactData) => Promise<types.SendContactResponse>;
/**
 * Use this method to send a native poll. On success, the sent Message is returned.
 */
export declare const sendPoll: (args: types.SendPollData) => Promise<types.SendPollResponse>;
/**
 * Use this method to send an animated emoji that will display a random value. On success, the sent Message is returned.
 */
export declare const sendDice: (args: types.SendDiceData) => Promise<types.SendDiceResponse>;
/**
 * Use this method when you need to tell the user that something is happening on the bot's side. The status is set for 5 seconds or less (when a message arrives from your bot, Telegram clients clear its typing status). Returns True on success.
We only recommend using this method when a response from the bot will take a noticeable amount of time to arrive.
 */
export declare const sendChatAction: (args: types.SendChatActionData) => Promise<types.SendChatActionResponse>;
/**
 * Use this method to change the chosen reactions on a message. Service messages of some types can't be reacted to. Automatically forwarded messages from a channel to its discussion group have the same available reactions as messages in the channel. Bots can't use paid reactions. Returns True on success.
 */
export declare const setMessageReaction: (args: types.SetMessageReactionData) => Promise<types.SetMessageReactionResponse>;
/**
 * Use this method to get a list of profile pictures for a user. Returns a UserProfilePhotos object.
 */
export declare const getUserProfilePhotos: (args: types.GetUserProfilePhotosData) => Promise<types.GetUserProfilePhotosResponse>;
/**
 * Changes the emoji status for a given user that previously allowed the bot to manage their emoji status via the Mini App method requestEmojiStatusAccess. Returns True on success.
 */
export declare const setUserEmojiStatus: (args: types.SetUserEmojiStatusData) => Promise<types.SetUserEmojiStatusResponse>;
/**
 * Use this method to get basic information about a file and prepare it for downloading. For the moment, bots can download files of up to 20MB in size. On success, a File object is returned. The file can then be downloaded via the link https://api.telegram.org/file/bot<token>/<file_path>, where <file_path> is taken from the response. It is guaranteed that the link will be valid for at least 1 hour. When the link expires, a new one can be requested by calling getFile again.
 */
export declare const getFile: (args: types.GetFileData) => Promise<types.GetFileResponse>;
/**
 * Use this method to ban a user in a group, a supergroup or a channel. In the case of supergroups and channels, the user will not be able to return to the chat on their own using invite links, etc., unless unbanned first. The bot must be an administrator in the chat for this to work and must have the appropriate administrator rights. Returns True on success.
 */
export declare const banChatMember: (args: types.BanChatMemberData) => Promise<types.BanChatMemberResponse>;
/**
 * Use this method to unban a previously banned user in a supergroup or channel. The user will not return to the group or channel automatically, but will be able to join via link, etc. The bot must be an administrator for this to work. By default, this method guarantees that after the call the user is not a member of the chat, but will be able to join it. So if the user is a member of the chat they will also be removed from the chat. If you don't want this, use the parameter only_if_banned. Returns True on success.
 */
export declare const unbanChatMember: (args: types.UnbanChatMemberData) => Promise<types.UnbanChatMemberResponse>;
/**
 * Use this method to restrict a user in a supergroup. The bot must be an administrator in the supergroup for this to work and must have the appropriate administrator rights. Pass True for all permissions to lift restrictions from a user. Returns True on success.
 */
export declare const restrictChatMember: (args: types.RestrictChatMemberData) => Promise<types.RestrictChatMemberResponse>;
/**
 * Use this method to promote or demote a user in a supergroup or a channel. The bot must be an administrator in the chat for this to work and must have the appropriate administrator rights. Pass False for all boolean parameters to demote a user. Returns True on success.
 */
export declare const promoteChatMember: (args: types.PromoteChatMemberData) => Promise<types.PromoteChatMemberResponse>;
/**
 * Use this method to set a custom title for an administrator in a supergroup promoted by the bot. Returns True on success.
 */
export declare const setChatAdministratorCustomTitle: (args: types.SetChatAdministratorCustomTitleData) => Promise<types.SetChatAdministratorCustomTitleResponse>;
/**
 * Use this method to ban a channel chat in a supergroup or a channel. Until the chat is unbanned, the owner of the banned chat won't be able to send messages on behalf of any of their channels. The bot must be an administrator in the supergroup or channel for this to work and must have the appropriate administrator rights. Returns True on success.
 */
export declare const banChatSenderChat: (args: types.BanChatSenderChatData) => Promise<types.BanChatSenderChatResponse>;
/**
 * Use this method to unban a previously banned channel chat in a supergroup or channel. The bot must be an administrator for this to work and must have the appropriate administrator rights. Returns True on success.
 */
export declare const unbanChatSenderChat: (args: types.UnbanChatSenderChatData) => Promise<types.UnbanChatSenderChatResponse>;
/**
 * Use this method to set default chat permissions for all members. The bot must be an administrator in the group or a supergroup for this to work and must have the can_restrict_members administrator rights. Returns True on success.
 */
export declare const setChatPermissions: (args: types.SetChatPermissionsData) => Promise<types.SetChatPermissionsResponse>;
/**
 * Use this method to generate a new primary invite link for a chat; any previously generated primary link is revoked. The bot must be an administrator in the chat for this to work and must have the appropriate administrator rights. Returns the new invite link as String on success.
 */
export declare const exportChatInviteLink: (args: types.ExportChatInviteLinkData) => Promise<types.ExportChatInviteLinkResponse>;
/**
 * Use this method to create an additional invite link for a chat. The bot must be an administrator in the chat for this to work and must have the appropriate administrator rights. The link can be revoked using the method revokeChatInviteLink. Returns the new invite link as ChatInviteLink object.
 */
export declare const createChatInviteLink: (args: types.CreateChatInviteLinkData) => Promise<types.CreateChatInviteLinkResponse>;
/**
 * Use this method to edit a non-primary invite link created by the bot. The bot must be an administrator in the chat for this to work and must have the appropriate administrator rights. Returns the edited invite link as a ChatInviteLink object.
 */
export declare const editChatInviteLink: (args: types.EditChatInviteLinkData) => Promise<types.EditChatInviteLinkResponse>;
/**
 * Use this method to create a subscription invite link for a channel chat. The bot must have the can_invite_users administrator rights. The link can be edited using the method editChatSubscriptionInviteLink or revoked using the method revokeChatInviteLink. Returns the new invite link as a ChatInviteLink object.
 */
export declare const createChatSubscriptionInviteLink: (args: types.CreateChatSubscriptionInviteLinkData) => Promise<types.CreateChatSubscriptionInviteLinkResponse>;
/**
 * Use this method to edit a subscription invite link created by the bot. The bot must have the can_invite_users administrator rights. Returns the edited invite link as a ChatInviteLink object.
 */
export declare const editChatSubscriptionInviteLink: (args: types.EditChatSubscriptionInviteLinkData) => Promise<types.EditChatSubscriptionInviteLinkResponse>;
/**
 * Use this method to revoke an invite link created by the bot. If the primary link is revoked, a new link is automatically generated. The bot must be an administrator in the chat for this to work and must have the appropriate administrator rights. Returns the revoked invite link as ChatInviteLink object.
 */
export declare const revokeChatInviteLink: (args: types.RevokeChatInviteLinkData) => Promise<types.RevokeChatInviteLinkResponse>;
/**
 * Use this method to approve a chat join request. The bot must be an administrator in the chat for this to work and must have the can_invite_users administrator right. Returns True on success.
 */
export declare const approveChatJoinRequest: (args: types.ApproveChatJoinRequestData) => Promise<types.ApproveChatJoinRequestResponse>;
/**
 * Use this method to decline a chat join request. The bot must be an administrator in the chat for this to work and must have the can_invite_users administrator right. Returns True on success.
 */
export declare const declineChatJoinRequest: (args: types.DeclineChatJoinRequestData) => Promise<types.DeclineChatJoinRequestResponse>;
/**
 * Use this method to set a new profile photo for the chat. Photos can't be changed for private chats. The bot must be an administrator in the chat for this to work and must have the appropriate administrator rights. Returns True on success.
 */
export declare const setChatPhoto: (args: types.SetChatPhotoData) => Promise<types.SetChatPhotoResponse>;
/**
 * Use this method to delete a chat photo. Photos can't be changed for private chats. The bot must be an administrator in the chat for this to work and must have the appropriate administrator rights. Returns True on success.
 */
export declare const deleteChatPhoto: (args: types.DeleteChatPhotoData) => Promise<types.DeleteChatPhotoResponse>;
/**
 * Use this method to change the title of a chat. Titles can't be changed for private chats. The bot must be an administrator in the chat for this to work and must have the appropriate administrator rights. Returns True on success.
 */
export declare const setChatTitle: (args: types.SetChatTitleData) => Promise<types.SetChatTitleResponse>;
/**
 * Use this method to change the description of a group, a supergroup or a channel. The bot must be an administrator in the chat for this to work and must have the appropriate administrator rights. Returns True on success.
 */
export declare const setChatDescription: (args: types.SetChatDescriptionData) => Promise<types.SetChatDescriptionResponse>;
/**
 * Use this method to add a message to the list of pinned messages in a chat. If the chat is not a private chat, the bot must be an administrator in the chat for this to work and must have the 'can_pin_messages' administrator right in a supergroup or 'can_edit_messages' administrator right in a channel. Returns True on success.
 */
export declare const pinChatMessage: (args: types.PinChatMessageData) => Promise<types.PinChatMessageResponse>;
/**
 * Use this method to remove a message from the list of pinned messages in a chat. If the chat is not a private chat, the bot must be an administrator in the chat for this to work and must have the 'can_pin_messages' administrator right in a supergroup or 'can_edit_messages' administrator right in a channel. Returns True on success.
 */
export declare const unpinChatMessage: (args: types.UnpinChatMessageData) => Promise<types.UnpinChatMessageResponse>;
/**
 * Use this method to clear the list of pinned messages in a chat. If the chat is not a private chat, the bot must be an administrator in the chat for this to work and must have the 'can_pin_messages' administrator right in a supergroup or 'can_edit_messages' administrator right in a channel. Returns True on success.
 */
export declare const unpinAllChatMessages: (args: types.UnpinAllChatMessagesData) => Promise<types.UnpinAllChatMessagesResponse>;
/**
 * Use this method for your bot to leave a group, supergroup or channel. Returns True on success.
 */
export declare const leaveChat: (args: types.LeaveChatData) => Promise<types.LeaveChatResponse>;
/**
 * Use this method to get up-to-date information about the chat. Returns a ChatFullInfo object on success.
 */
export declare const getChat: (args: types.GetChatData) => Promise<types.GetChatResponse>;
/**
 * Use this method to get a list of administrators in a chat, which aren't bots. Returns an Array of ChatMember objects.
 */
export declare const getChatAdministrators: (args: types.GetChatAdministratorsData) => Promise<types.GetChatAdministratorsResponse>;
/**
 * Use this method to get the number of members in a chat. Returns Int on success.
 */
export declare const getChatMemberCount: (args: types.GetChatMemberCountData) => Promise<types.GetChatMemberCountResponse>;
/**
 * Use this method to get information about a member of a chat. The method is only guaranteed to work for other users if the bot is an administrator in the chat. Returns a ChatMember object on success.
 */
export declare const getChatMember: (args: types.GetChatMemberData) => Promise<types.GetChatMemberResponse>;
/**
 * Use this method to set a new group sticker set for a supergroup. The bot must be an administrator in the chat for this to work and must have the appropriate administrator rights. Use the field can_set_sticker_set optionally returned in getChat requests to check if the bot can use this method. Returns True on success.
 */
export declare const setChatStickerSet: (args: types.SetChatStickerSetData) => Promise<types.SetChatStickerSetResponse>;
/**
 * Use this method to delete a group sticker set from a supergroup. The bot must be an administrator in the chat for this to work and must have the appropriate administrator rights. Use the field can_set_sticker_set optionally returned in getChat requests to check if the bot can use this method. Returns True on success.
 */
export declare const deleteChatStickerSet: (args: types.DeleteChatStickerSetData) => Promise<types.DeleteChatStickerSetResponse>;
/**
 * Use this method to get custom emoji stickers, which can be used as a forum topic icon by any user. Requires no parameters. Returns an Array of Sticker objects.
 */
export declare const getForumTopicIconStickers: (args: types.GetForumTopicIconStickersData) => Promise<types.GetForumTopicIconStickersResponse>;
/**
 * Use this method to create a topic in a forum supergroup chat. The bot must be an administrator in the chat for this to work and must have the can_manage_topics administrator rights. Returns information about the created topic as a ForumTopic object.
 */
export declare const createForumTopic: (args: types.CreateForumTopicData) => Promise<types.CreateForumTopicResponse>;
/**
 * Use this method to edit name and icon of a topic in a forum supergroup chat. The bot must be an administrator in the chat for this to work and must have the can_manage_topics administrator rights, unless it is the creator of the topic. Returns True on success.
 */
export declare const editForumTopic: (args: types.EditForumTopicData) => Promise<types.EditForumTopicResponse>;
/**
 * Use this method to close an open topic in a forum supergroup chat. The bot must be an administrator in the chat for this to work and must have the can_manage_topics administrator rights, unless it is the creator of the topic. Returns True on success.
 */
export declare const closeForumTopic: (args: types.CloseForumTopicData) => Promise<types.CloseForumTopicResponse>;
/**
 * Use this method to reopen a closed topic in a forum supergroup chat. The bot must be an administrator in the chat for this to work and must have the can_manage_topics administrator rights, unless it is the creator of the topic. Returns True on success.
 */
export declare const reopenForumTopic: (args: types.ReopenForumTopicData) => Promise<types.ReopenForumTopicResponse>;
/**
 * Use this method to delete a forum topic along with all its messages in a forum supergroup chat. The bot must be an administrator in the chat for this to work and must have the can_delete_messages administrator rights. Returns True on success.
 */
export declare const deleteForumTopic: (args: types.DeleteForumTopicData) => Promise<types.DeleteForumTopicResponse>;
/**
 * Use this method to clear the list of pinned messages in a forum topic. The bot must be an administrator in the chat for this to work and must have the can_pin_messages administrator right in the supergroup. Returns True on success.
 */
export declare const unpinAllForumTopicMessages: (args: types.UnpinAllForumTopicMessagesData) => Promise<types.UnpinAllForumTopicMessagesResponse>;
/**
 * Use this method to edit the name of the 'General' topic in a forum supergroup chat. The bot must be an administrator in the chat for this to work and must have the can_manage_topics administrator rights. Returns True on success.
 */
export declare const editGeneralForumTopic: (args: types.EditGeneralForumTopicData) => Promise<types.EditGeneralForumTopicResponse>;
/**
 * Use this method to close an open 'General' topic in a forum supergroup chat. The bot must be an administrator in the chat for this to work and must have the can_manage_topics administrator rights. Returns True on success.
 */
export declare const closeGeneralForumTopic: (args: types.CloseGeneralForumTopicData) => Promise<types.CloseGeneralForumTopicResponse>;
/**
 * Use this method to reopen a closed 'General' topic in a forum supergroup chat. The bot must be an administrator in the chat for this to work and must have the can_manage_topics administrator rights. The topic will be automatically unhidden if it was hidden. Returns True on success.
 */
export declare const reopenGeneralForumTopic: (args: types.ReopenGeneralForumTopicData) => Promise<types.ReopenGeneralForumTopicResponse>;
/**
 * Use this method to hide the 'General' topic in a forum supergroup chat. The bot must be an administrator in the chat for this to work and must have the can_manage_topics administrator rights. The topic will be automatically closed if it was open. Returns True on success.
 */
export declare const hideGeneralForumTopic: (args: types.HideGeneralForumTopicData) => Promise<types.HideGeneralForumTopicResponse>;
/**
 * Use this method to unhide the 'General' topic in a forum supergroup chat. The bot must be an administrator in the chat for this to work and must have the can_manage_topics administrator rights. Returns True on success.
 */
export declare const unhideGeneralForumTopic: (args: types.UnhideGeneralForumTopicData) => Promise<types.UnhideGeneralForumTopicResponse>;
/**
 * Use this method to clear the list of pinned messages in a General forum topic. The bot must be an administrator in the chat for this to work and must have the can_pin_messages administrator right in the supergroup. Returns True on success.
 */
export declare const unpinAllGeneralForumTopicMessages: (args: types.UnpinAllGeneralForumTopicMessagesData) => Promise<types.UnpinAllGeneralForumTopicMessagesResponse>;
/**
 * Use this method to send answers to callback queries sent from inline keyboards. The answer will be displayed to the user as a notification at the top of the chat screen or as an alert. On success, True is returned.
 */
export declare const answerCallbackQuery: (args: types.AnswerCallbackQueryData) => Promise<types.AnswerCallbackQueryResponse>;
/**
 * Use this method to get the list of boosts added to a chat by a user. Requires administrator rights in the chat. Returns a UserChatBoosts object.
 */
export declare const getUserChatBoosts: (args: types.GetUserChatBoostsData) => Promise<types.GetUserChatBoostsResponse>;
/**
 * Use this method to get information about the connection of the bot with a business account. Returns a BusinessConnection object on success.
 */
export declare const getBusinessConnection: (args: types.GetBusinessConnectionData) => Promise<types.GetBusinessConnectionResponse>;
/**
 * Use this method to change the list of the bot's commands. See this manual for more details about bot commands. Returns True on success.
 */
export declare const setMyCommands: (args: types.SetMyCommandsData) => Promise<types.SetMyCommandsResponse>;
/**
 * Use this method to delete the list of the bot's commands for the given scope and user language. After deletion, higher level commands will be shown to affected users. Returns True on success.
 */
export declare const deleteMyCommands: (args: types.DeleteMyCommandsData) => Promise<types.DeleteMyCommandsResponse>;
/**
 * Use this method to get the current list of the bot's commands for the given scope and user language. Returns an Array of BotCommand objects. If commands aren't set, an empty list is returned.
 */
export declare const getMyCommands: (args: types.GetMyCommandsData) => Promise<types.GetMyCommandsResponse>;
/**
 * Use this method to change the bot's name. Returns True on success.
 */
export declare const setMyName: (args: types.SetMyNameData) => Promise<types.SetMyNameResponse>;
/**
 * Use this method to get the current bot name for the given user language. Returns BotName on success.
 */
export declare const getMyName: (args: types.GetMyNameData) => Promise<types.GetMyNameResponse>;
/**
 * Use this method to change the bot's description, which is shown in the chat with the bot if the chat is empty. Returns True on success.
 */
export declare const setMyDescription: (args: types.SetMyDescriptionData) => Promise<types.SetMyDescriptionResponse>;
/**
 * Use this method to get the current bot description for the given user language. Returns BotDescription on success.
 */
export declare const getMyDescription: (args: types.GetMyDescriptionData) => Promise<types.GetMyDescriptionResponse>;
/**
 * Use this method to change the bot's short description, which is shown on the bot's profile page and is sent together with the link when users share the bot. Returns True on success.
 */
export declare const setMyShortDescription: (args: types.SetMyShortDescriptionData) => Promise<types.SetMyShortDescriptionResponse>;
/**
 * Use this method to get the current bot short description for the given user language. Returns BotShortDescription on success.
 */
export declare const getMyShortDescription: (args: types.GetMyShortDescriptionData) => Promise<types.GetMyShortDescriptionResponse>;
/**
 * Use this method to change the bot's menu button in a private chat, or the default menu button. Returns True on success.
 */
export declare const setChatMenuButton: (args: types.SetChatMenuButtonData) => Promise<types.SetChatMenuButtonResponse>;
/**
 * Use this method to get the current value of the bot's menu button in a private chat, or the default menu button. Returns MenuButton on success.
 */
export declare const getChatMenuButton: (args: types.GetChatMenuButtonData) => Promise<types.GetChatMenuButtonResponse>;
/**
 * Use this method to change the default administrator rights requested by the bot when it's added as an administrator to groups or channels. These rights will be suggested to users, but they are free to modify the list before adding the bot. Returns True on success.
 */
export declare const setMyDefaultAdministratorRights: (args: types.SetMyDefaultAdministratorRightsData) => Promise<types.SetMyDefaultAdministratorRightsResponse>;
/**
 * Use this method to get the current default administrator rights of the bot. Returns ChatAdministratorRights on success.
 */
export declare const getMyDefaultAdministratorRights: (args: types.GetMyDefaultAdministratorRightsData) => Promise<types.GetMyDefaultAdministratorRightsResponse>;
/**
 * Use this method to edit text and game messages. On success, if the edited message is not an inline message, the edited Message is returned, otherwise True is returned. Note that business messages that were not sent by the bot and do not contain an inline keyboard can only be edited within 48 hours from the time they were sent.
 */
export declare const editMessageText: (args: types.EditMessageTextData) => Promise<types.EditMessageTextResponse>;
/**
 * Use this method to edit captions of messages. On success, if the edited message is not an inline message, the edited Message is returned, otherwise True is returned. Note that business messages that were not sent by the bot and do not contain an inline keyboard can only be edited within 48 hours from the time they were sent.
 */
export declare const editMessageCaption: (args: types.EditMessageCaptionData) => Promise<types.EditMessageCaptionResponse>;
/**
 * Use this method to edit animation, audio, document, photo, or video messages, or to add media to text messages. If a message is part of a message album, then it can be edited only to an audio for audio albums, only to a document for document albums and to a photo or a video otherwise. When an inline message is edited, a new file can't be uploaded; use a previously uploaded file via its file_id or specify a URL. On success, if the edited message is not an inline message, the edited Message is returned, otherwise True is returned. Note that business messages that were not sent by the bot and do not contain an inline keyboard can only be edited within 48 hours from the time they were sent.
 */
export declare const editMessageMedia: (args: types.EditMessageMediaData) => Promise<types.EditMessageMediaResponse>;
/**
 * Use this method to edit live location messages. A location can be edited until its live_period expires or editing is explicitly disabled by a call to stopMessageLiveLocation. On success, if the edited message is not an inline message, the edited Message is returned, otherwise True is returned.
 */
export declare const editMessageLiveLocation: (args: types.EditMessageLiveLocationData) => Promise<types.EditMessageLiveLocationResponse>;
/**
 * Use this method to stop updating a live location message before live_period expires. On success, if the message is not an inline message, the edited Message is returned, otherwise True is returned.
 */
export declare const stopMessageLiveLocation: (args: types.StopMessageLiveLocationData) => Promise<types.StopMessageLiveLocationResponse>;
/**
 * Use this method to edit only the reply markup of messages. On success, if the edited message is not an inline message, the edited Message is returned, otherwise True is returned. Note that business messages that were not sent by the bot and do not contain an inline keyboard can only be edited within 48 hours from the time they were sent.
 */
export declare const editMessageReplyMarkup: (args: types.EditMessageReplyMarkupData) => Promise<types.EditMessageReplyMarkupResponse>;
/**
 * Use this method to stop a poll which was sent by the bot. On success, the stopped Poll is returned.
 */
export declare const stopPoll: (args: types.StopPollData) => Promise<types.StopPollResponse>;
/**
 * Use this method to delete a message, including service messages, with the following limitations:- A message can only be deleted if it was sent less than 48 hours ago.- Service messages about a supergroup, channel, or forum topic creation can't be deleted.- A dice message in a private chat can only be deleted if it was sent more than 24 hours ago.- Bots can delete outgoing messages in private chats, groups, and supergroups.- Bots can delete incoming messages in private chats.- Bots granted can_post_messages permissions can delete outgoing messages in channels.- If the bot is an administrator of a group, it can delete any message there.- If the bot has can_delete_messages permission in a supergroup or a channel, it can delete any message there.Returns True on success.
 */
export declare const deleteMessage: (args: types.DeleteMessageData) => Promise<types.DeleteMessageResponse>;
/**
 * Use this method to delete multiple messages simultaneously. If some of the specified messages can't be found, they are skipped. Returns True on success.
 */
export declare const deleteMessages: (args: types.DeleteMessagesData) => Promise<types.DeleteMessagesResponse>;
/**
 * Returns the list of gifts that can be sent by the bot to users and channel chats. Requires no parameters. Returns a Gifts object.
 */
export declare const getAvailableGifts: (args: types.GetAvailableGiftsData) => Promise<types.GetAvailableGiftsResponse>;
/**
 * Sends a gift to the given user or channel chat. The gift can't be converted to Telegram Stars by the receiver. Returns True on success.
 */
export declare const sendGift: (args: types.SendGiftData) => Promise<types.SendGiftResponse>;
/**
 * Gifts a Telegram Premium subscription to the given user. Returns True on success.
 */
export declare const giftPremiumSubscription: (args: types.GiftPremiumSubscriptionData) => Promise<types.GiftPremiumSubscriptionResponse>;
/**
 * Verifies a user on behalf of the organization which is represented by the bot. Returns True on success.
 */
export declare const verifyUser: (args: types.VerifyUserData) => Promise<types.VerifyUserResponse>;
/**
 * Verifies a chat on behalf of the organization which is represented by the bot. Returns True on success.
 */
export declare const verifyChat: (args: types.VerifyChatData) => Promise<types.VerifyChatResponse>;
/**
 * Removes verification from a user who is currently verified on behalf of the organization represented by the bot. Returns True on success.
 */
export declare const removeUserVerification: (args: types.RemoveUserVerificationData) => Promise<types.RemoveUserVerificationResponse>;
/**
 * Removes verification from a chat that is currently verified on behalf of the organization represented by the bot. Returns True on success.
 */
export declare const removeChatVerification: (args: types.RemoveChatVerificationData) => Promise<types.RemoveChatVerificationResponse>;
/**
 * Marks incoming message as read on behalf of a business account. Requires the can_read_messages business bot right. Returns True on success.
 */
export declare const readBusinessMessage: (args: types.ReadBusinessMessageData) => Promise<types.ReadBusinessMessageResponse>;
/**
 * Delete messages on behalf of a business account. Requires the can_delete_outgoing_messages business bot right to delete messages sent by the bot itself, or the can_delete_all_messages business bot right to delete any message. Returns True on success.
 */
export declare const deleteBusinessMessages: (args: types.DeleteBusinessMessagesData) => Promise<types.DeleteBusinessMessagesResponse>;
/**
 * Changes the first and last name of a managed business account. Requires the can_change_name business bot right. Returns True on success.
 */
export declare const setBusinessAccountName: (args: types.SetBusinessAccountNameData) => Promise<types.SetBusinessAccountNameResponse>;
/**
 * Changes the username of a managed business account. Requires the can_change_username business bot right. Returns True on success.
 */
export declare const setBusinessAccountUsername: (args: types.SetBusinessAccountUsernameData) => Promise<types.SetBusinessAccountUsernameResponse>;
/**
 * Changes the bio of a managed business account. Requires the can_change_bio business bot right. Returns True on success.
 */
export declare const setBusinessAccountBio: (args: types.SetBusinessAccountBioData) => Promise<types.SetBusinessAccountBioResponse>;
/**
 * Changes the profile photo of a managed business account. Requires the can_edit_profile_photo business bot right. Returns True on success.
 */
export declare const setBusinessAccountProfilePhoto: (args: types.SetBusinessAccountProfilePhotoData) => Promise<types.SetBusinessAccountProfilePhotoResponse>;
/**
 * Removes the current profile photo of a managed business account. Requires the can_edit_profile_photo business bot right. Returns True on success.
 */
export declare const removeBusinessAccountProfilePhoto: (args: types.RemoveBusinessAccountProfilePhotoData) => Promise<types.RemoveBusinessAccountProfilePhotoResponse>;
/**
 * Changes the privacy settings pertaining to incoming gifts in a managed business account. Requires the can_change_gift_settings business bot right. Returns True on success.
 */
export declare const setBusinessAccountGiftSettings: (args: types.SetBusinessAccountGiftSettingsData) => Promise<types.SetBusinessAccountGiftSettingsResponse>;
/**
 * Returns the amount of Telegram Stars owned by a managed business account. Requires the can_view_gifts_and_stars business bot right. Returns StarAmount on success.
 */
export declare const getBusinessAccountStarBalance: (args: types.GetBusinessAccountStarBalanceData) => Promise<types.GetBusinessAccountStarBalanceResponse>;
/**
 * Transfers Telegram Stars from the business account balance to the bot's balance. Requires the can_transfer_stars business bot right. Returns True on success.
 */
export declare const transferBusinessAccountStars: (args: types.TransferBusinessAccountStarsData) => Promise<types.TransferBusinessAccountStarsResponse>;
/**
 * Returns the gifts received and owned by a managed business account. Requires the can_view_gifts_and_stars business bot right. Returns OwnedGifts on success.
 */
export declare const getBusinessAccountGifts: (args: types.GetBusinessAccountGiftsData) => Promise<types.GetBusinessAccountGiftsResponse>;
/**
 * Converts a given regular gift to Telegram Stars. Requires the can_convert_gifts_to_stars business bot right. Returns True on success.
 */
export declare const convertGiftToStars: (args: types.ConvertGiftToStarsData) => Promise<types.ConvertGiftToStarsResponse>;
/**
 * Upgrades a given regular gift to a unique gift. Requires the can_transfer_and_upgrade_gifts business bot right. Additionally requires the can_transfer_stars business bot right if the upgrade is paid. Returns True on success.
 */
export declare const upgradeGift: (args: types.UpgradeGiftData) => Promise<types.UpgradeGiftResponse>;
/**
 * Transfers an owned unique gift to another user. Requires the can_transfer_and_upgrade_gifts business bot right. Requires can_transfer_stars business bot right if the transfer is paid. Returns True on success.
 */
export declare const transferGift: (args: types.TransferGiftData) => Promise<types.TransferGiftResponse>;
/**
 * Posts a story on behalf of a managed business account. Requires the can_manage_stories business bot right. Returns Story on success.
 */
export declare const postStory: (args: types.PostStoryData) => Promise<types.PostStoryResponse>;
/**
 * Edits a story previously posted by the bot on behalf of a managed business account. Requires the can_manage_stories business bot right. Returns Story on success.
 */
export declare const editStory: (args: types.EditStoryData) => Promise<types.EditStoryResponse>;
/**
 * Deletes a story previously posted by the bot on behalf of a managed business account. Requires the can_manage_stories business bot right. Returns True on success.
 */
export declare const deleteStory: (args: types.DeleteStoryData) => Promise<types.DeleteStoryResponse>;
/**
 * Use this method to send static .WEBP, animated .TGS, or video .WEBM stickers. On success, the sent Message is returned.
 */
export declare const sendSticker: (args: types.SendStickerData) => Promise<types.SendStickerResponse>;
/**
 * Use this method to get a sticker set. On success, a StickerSet object is returned.
 */
export declare const getStickerSet: (args: types.GetStickerSetData) => Promise<types.GetStickerSetResponse>;
/**
 * Use this method to get information about custom emoji stickers by their identifiers. Returns an Array of Sticker objects.
 */
export declare const getCustomEmojiStickers: (args: types.GetCustomEmojiStickersData) => Promise<types.GetCustomEmojiStickersResponse>;
/**
 * Use this method to upload a file with a sticker for later use in the createNewStickerSet, addStickerToSet, or replaceStickerInSet methods (the file can be used multiple times). Returns the uploaded File on success.
 */
export declare const uploadStickerFile: (args: types.UploadStickerFileData) => Promise<types.UploadStickerFileResponse>;
/**
 * Use this method to create a new sticker set owned by a user. The bot will be able to edit the sticker set thus created. Returns True on success.
 */
export declare const createNewStickerSet: (args: types.CreateNewStickerSetData) => Promise<types.CreateNewStickerSetResponse>;
/**
 * Use this method to add a new sticker to a set created by the bot. Emoji sticker sets can have up to 200 stickers. Other sticker sets can have up to 120 stickers. Returns True on success.
 */
export declare const addStickerToSet: (args: types.AddStickerToSetData) => Promise<types.AddStickerToSetResponse>;
/**
 * Use this method to move a sticker in a set created by the bot to a specific position. Returns True on success.
 */
export declare const setStickerPositionInSet: (args: types.SetStickerPositionInSetData) => Promise<types.SetStickerPositionInSetResponse>;
/**
 * Use this method to delete a sticker from a set created by the bot. Returns True on success.
 */
export declare const deleteStickerFromSet: (args: types.DeleteStickerFromSetData) => Promise<types.DeleteStickerFromSetResponse>;
/**
 * Use this method to replace an existing sticker in a sticker set with a new one. The method is equivalent to calling deleteStickerFromSet, then addStickerToSet, then setStickerPositionInSet. Returns True on success.
 */
export declare const replaceStickerInSet: (args: types.ReplaceStickerInSetData) => Promise<types.ReplaceStickerInSetResponse>;
/**
 * Use this method to change the list of emoji assigned to a regular or custom emoji sticker. The sticker must belong to a sticker set created by the bot. Returns True on success.
 */
export declare const setStickerEmojiList: (args: types.SetStickerEmojiListData) => Promise<types.SetStickerEmojiListResponse>;
/**
 * Use this method to change search keywords assigned to a regular or custom emoji sticker. The sticker must belong to a sticker set created by the bot. Returns True on success.
 */
export declare const setStickerKeywords: (args: types.SetStickerKeywordsData) => Promise<types.SetStickerKeywordsResponse>;
/**
 * Use this method to change the mask position of a mask sticker. The sticker must belong to a sticker set that was created by the bot. Returns True on success.
 */
export declare const setStickerMaskPosition: (args: types.SetStickerMaskPositionData) => Promise<types.SetStickerMaskPositionResponse>;
/**
 * Use this method to set the title of a created sticker set. Returns True on success.
 */
export declare const setStickerSetTitle: (args: types.SetStickerSetTitleData) => Promise<types.SetStickerSetTitleResponse>;
/**
 * Use this method to set the thumbnail of a regular or mask sticker set. The format of the thumbnail file must match the format of the stickers in the set. Returns True on success.
 */
export declare const setStickerSetThumbnail: (args: types.SetStickerSetThumbnailData) => Promise<types.SetStickerSetThumbnailResponse>;
/**
 * Use this method to set the thumbnail of a custom emoji sticker set. Returns True on success.
 */
export declare const setCustomEmojiStickerSetThumbnail: (args: types.SetCustomEmojiStickerSetThumbnailData) => Promise<types.SetCustomEmojiStickerSetThumbnailResponse>;
/**
 * Use this method to delete a sticker set that was created by the bot. Returns True on success.
 */
export declare const deleteStickerSet: (args: types.DeleteStickerSetData) => Promise<types.DeleteStickerSetResponse>;
/**
 * Use this method to send answers to an inline query. On success, True is returned.No more than 50 results per query are allowed.
 */
export declare const answerInlineQuery: (args: types.AnswerInlineQueryData) => Promise<types.AnswerInlineQueryResponse>;
/**
 * Use this method to set the result of an interaction with a Web App and send a corresponding message on behalf of the user to the chat from which the query originated. On success, a SentWebAppMessage object is returned.
 */
export declare const answerWebAppQuery: (args: types.AnswerWebAppQueryData) => Promise<types.AnswerWebAppQueryResponse>;
/**
 * Stores a message that can be sent by a user of a Mini App. Returns a PreparedInlineMessage object.
 */
export declare const savePreparedInlineMessage: (args: types.SavePreparedInlineMessageData) => Promise<types.SavePreparedInlineMessageResponse>;
/**
 * Use this method to send invoices. On success, the sent Message is returned.
 */
export declare const sendInvoice: (args: types.SendInvoiceData) => Promise<types.SendInvoiceResponse>;
/**
 * Use this method to create a link for an invoice. Returns the created invoice link as String on success.
 */
export declare const createInvoiceLink: (args: types.CreateInvoiceLinkData) => Promise<types.CreateInvoiceLinkResponse>;
/**
 * If you sent an invoice requesting a shipping address and the parameter is_flexible was specified, the Bot API will send an Update with a shipping_query field to the bot. Use this method to reply to shipping queries. On success, True is returned.
 */
export declare const answerShippingQuery: (args: types.AnswerShippingQueryData) => Promise<types.AnswerShippingQueryResponse>;
/**
 * Once the user has confirmed their payment and shipping details, the Bot API sends the final confirmation in the form of an Update with the field pre_checkout_query. Use this method to respond to such pre-checkout queries. On success, True is returned. Note: The Bot API must receive an answer within 10 seconds after the pre-checkout query was sent.
 */
export declare const answerPreCheckoutQuery: (args: types.AnswerPreCheckoutQueryData) => Promise<types.AnswerPreCheckoutQueryResponse>;
/**
 * Returns the bot's Telegram Star transactions in chronological order. On success, returns a StarTransactions object.
 */
export declare const getStarTransactions: (args: types.GetStarTransactionsData) => Promise<types.GetStarTransactionsResponse>;
/**
 * Refunds a successful payment in Telegram Stars. Returns True on success.
 */
export declare const refundStarPayment: (args: types.RefundStarPaymentData) => Promise<types.RefundStarPaymentResponse>;
/**
 * Allows the bot to cancel or re-enable extension of a subscription paid in Telegram Stars. Returns True on success.
 */
export declare const editUserStarSubscription: (args: types.EditUserStarSubscriptionData) => Promise<types.EditUserStarSubscriptionResponse>;
/**
 * Informs a user that some of the Telegram Passport elements they provided contains errors. The user will not be able to re-submit their Passport to you until the errors are fixed (the contents of the field for which you returned the error must change). Returns True on success.
Use this if the data submitted by the user doesn't satisfy the standards your service requires for any reason. For example, if a birthday date seems invalid, a submitted document is blurry, a scan shows evidence of tampering, etc. Supply some details in the error message to make sure the user knows how to correct the issues.
 */
export declare const setPassportDataErrors: (args: types.SetPassportDataErrorsData) => Promise<types.SetPassportDataErrorsResponse>;
/**
 * Use this method to send a game. On success, the sent Message is returned.
 */
export declare const sendGame: (args: types.SendGameData) => Promise<types.SendGameResponse>;
/**
 * Use this method to set the score of the specified user in a game message. On success, if the message is not an inline message, the Message is returned, otherwise True is returned. Returns an error, if the new score is not greater than the user's current score in the chat and force is False.
 */
export declare const setGameScore: (args: types.SetGameScoreData) => Promise<types.SetGameScoreResponse>;
/**
 * Use this method to get data for high score tables. Will return the score of the specified user and several of their neighbors in a game. Returns an Array of GameHighScore objects.
 */
export declare const getGameHighScores: (args: types.GetGameHighScoresData) => Promise<types.GetGameHighScoresResponse>;
